Partition versions in a semver range into those with and without crypto
curl --request GET \
--url https://api.scanoss.com/v3/cryptography/algorithms/versions/rangeimport requests
url = "https://api.scanoss.com/v3/cryptography/algorithms/versions/range"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.scanoss.com/v3/cryptography/algorithms/versions/range', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"components": [
{
"purl": "<string>",
"versions_with": [
"<string>"
],
"versions_without": [
"<string>"
],
"info_code": "REQUIREMENT_NOT_MET",
"info_message": "<string>"
}
],
"status": {
"status": "SUCCESS",
"message": "<string>"
}
}{
"status": "error",
"error": {
"code": "INVALID_QUERY",
"message": "purl query parameter is required"
},
"timestamp": "2026-05-19T11:39:56Z"
}{
"status": "error",
"error": {
"code": "COMPONENT_NOT_FOUND",
"message": "component not found"
},
"timestamp": "2026-05-19T11:39:56Z"
}{
"status": "error",
"error": {
"code": "INTERNAL_ERROR",
"message": "..."
},
"timestamp": "2026-05-19T11:39:56Z"
}cryptography
Partition versions in a semver range into those with and without crypto
GET
/
v3
/
cryptography
/
algorithms
/
versions
/
range
Partition versions in a semver range into those with and without crypto
Query Parameters
Package URL (e.g. pkg:github/scanoss/engine)
Optional version requirement (e.g. v5.4.5)
Caps the per-purl result array. 0/absent = no limit.
Required range:
x >= 0Enable the source-purl fallback lookup.
Include a url in results (placeholder — data source TBD).
Version fallback strategy (not applied to range endpoints).
Available options:
strict, show_latest, show_closest_lt, show_closest_gt, show_any Output encoding for content string values (none default, url_encoded, base64_encoded); control fields and object keys are never encoded.
Available options:
none, url_encoded, base64_encoded